Integrations
List an integration's config options
Config-time lookups run live against the connected account — today, the channels notifications can post to.
GET
/
integrations
/
{id}
/
options
import { createClient } from "@norbelys/sdk";
const norbelys = createClient({ apiKey: process.env.NORBELYS_API_KEY });
const { data, error } = await norbelys.integrations.options("int_9k4m2p");
if (error) {
throw new Error(error.error.message);
}
console.log(data);{
"channels": [
{
"id": "C0123ABC456",
"name": "#wins"
}
]
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"type": "invalid_request",
"doc_url": "<string>",
"hint": "<string>"
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"type": "invalid_request",
"doc_url": "<string>",
"hint": "<string>"
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"type": "invalid_request",
"doc_url": "<string>",
"hint": "<string>"
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"type": "invalid_request",
"doc_url": "<string>",
"hint": "<string>"
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"type": "invalid_request",
"doc_url": "<string>",
"hint": "<string>"
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"type": "invalid_request",
"doc_url": "<string>",
"hint": "<string>"
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"type": "invalid_request",
"doc_url": "<string>",
"hint": "<string>"
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"type": "invalid_request",
"doc_url": "<string>",
"hint": "<string>"
}
}Authorizations
Org-scoped Norbelys API key. Create one in Settings → API keys and send it as Authorization: Bearer ak_….
Path Parameters
The resource id (path).
Response
OK
Slack channels you can post notifications to.
Show child attributes
Show child attributes
Example:
[{ "id": "C0123ABC456", "name": "#wins" }]
Was this page helpful?
⌘I
import { createClient } from "@norbelys/sdk";
const norbelys = createClient({ apiKey: process.env.NORBELYS_API_KEY });
const { data, error } = await norbelys.integrations.options("int_9k4m2p");
if (error) {
throw new Error(error.error.message);
}
console.log(data);{
"channels": [
{
"id": "C0123ABC456",
"name": "#wins"
}
]
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"type": "invalid_request",
"doc_url": "<string>",
"hint": "<string>"
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"type": "invalid_request",
"doc_url": "<string>",
"hint": "<string>"
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"type": "invalid_request",
"doc_url": "<string>",
"hint": "<string>"
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"type": "invalid_request",
"doc_url": "<string>",
"hint": "<string>"
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"type": "invalid_request",
"doc_url": "<string>",
"hint": "<string>"
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"type": "invalid_request",
"doc_url": "<string>",
"hint": "<string>"
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"type": "invalid_request",
"doc_url": "<string>",
"hint": "<string>"
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"type": "invalid_request",
"doc_url": "<string>",
"hint": "<string>"
}
}